
QGIS Application - Bug report #3925

QgsMapLayer::draw must return a value

2006-03-24 02:12 PM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13949

Description

bool QgsMapLayer::draw(QPainter *, QgsRect *, QgsMapToPixel *)

is a non-void function so it must return a value.

History

#1 - 2006-03-24 02:12 PM - Mateusz Loskot -

Body of this [[QgsMapLayer]]::draw member function is empty, so I decided to return false, temporarily.

#2 - 2006-03-25 04:12 PM - Gary Sherman

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in HEAD

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

gui-qgsmaplayer.cpp-mloskot-20060314.patch 419 Bytes 2006-03-24 Mateusz Loskot -
